import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取列表
export function listPage(data) {
  return request({
    url: `/order/engin/manger/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

//导出
export function pageExport(data, name) {
  return postBlob({
    url: '/order/engin/manger/list/export',
    data,
    name
  })
}

// 详情
export function getDetail(params) {
  return request({
    url: `/order/engin/manger/detail`,
    method: 'post',
    params
  })
}

// 确定
export function givePrice(params) {
  return request({
    url: `/order/engin/manger/givePrice`,
    method: 'post',
    params
  })
}

// 收款详情
export function getPriceDetail(params) {
  return request({
    url: `/order/engin/manger/detailPrice`,
    method: 'post',
    params
  })
}